input = 3.2
rayons = 6
table = [0, ] * rayons + [1, ] #index 0 = atomes à qui il ne reste aucun rayon, index 1 = il leur reste 1 rayon, index 2 = il leur reste 2 rayons, ...

for i in range(0, int(input*10)):
    table.pop(0) # on supprime ceux à qui il ne reste rien
    table.append(sum(table)) #on ajoute autant d'atomes que d'atomes à qui il reste des rayons
    print(sum(table), table)

print(sum(table))

